"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-313/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f240>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f2e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f380>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f420>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f4c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f560>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f600>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f6a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f740>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f7e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f880>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f920>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284f9c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284fa60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284fb00>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284fba0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284fc40>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284fce0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284fd80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284fe20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284fec0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a284ff60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898040>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28980e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898180>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898220>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28982c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898360>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898400>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28984a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898540>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28985e0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898680>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898720>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28987c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898860>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898900>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28989a0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898a40>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898ae0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898b80>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898c20>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898cc0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898d60>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898e00>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898ea0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898f40>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2898fe0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899080>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899120>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28991c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899260>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899300>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28993a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899440>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28994e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899580>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899620>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28996c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899760>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899800>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28998a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899940>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a28999e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899a80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899b20>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899bc0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899c60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899d00>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899da0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899e40>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899ee0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a2899f80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a020>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a0c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a160>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a200>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a2a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a340>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a3e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a520>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a480>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a5c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a660>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f16a289a700>)]
name: str = 'fr_HOCCN'
